W3C home > Mailing lists > Public > www-talk@w3.org > November to December 1996

Re: HTTP response version, again

From: Koen Holtman <koen@win.tue.nl>
Date: Sun, 22 Dec 1996 00:41:25 +0100 (MET)
Message-Id: <199612212341.AAA09520@wsooti04.win.tue.nl>
To: brian@organic.com
Cc: hedlund@best.com, dmk@research.bell-labs.com, http-wg%cuckoo.hpl.hp.com@hplb.hpl.hp.com, www-talk@www10.w3.org
Brian Behlendorf:
>On Fri, 20 Dec 1996, M. Hedlund wrote:
>> 
>> [...]  AOL's proxies apparently
>> started giving users errors this week when a new version of Apache was
>> released, which responded to 1.0 requests with 1.1 responses (Case 2).  
>> While this instance will likely be fixed next week, it does indicate how an
>> HTTP/1.0 client can be confused by an HTTP/1.1 response.
>
>No, it indicates how a company with little concern for standards can dictate
>implementations in other products through technological inertia.

[....]

>If it becomes common acceptance that 1.0 and 1.1 are incompatible, then no one
>will ever upgrade to 1.1.  This is exactly the perception this wg labored long
>and hard to prevent.
>
>The big question is, what will happen first: will AOL fix their proxies, or
>will Apache users "fix" [hack] their servers?  Client service dictates that
>we at Organic hack our servers, but the Apache development group has no such
>requirements.  
>
>A document describing the situation is available at
>
>  http://www.apache.org/info/aol-http.html

Eek!  From the looks of it, this could easily devolve into trench
warfare.  And the perception that 1.0 and 1.1 are compatible would be
the first victim.

I think that AOL's decision is silly, but they _are_ allowed to let
their 1.0 clients do silly things when getting a 1.1 response.  The
1.0 spec is a `best current practice' spec, so you can call your
clients 1.0 even if they disagree with some of it.  It would make AOL
clients `inferior current practice', but they are allowed to be.

However, AOL has no business trying to drive internet standards by
making their clients barf on certain responses they deem incorrect.

I advise the Apache development group to work around AOL's inferior
1.0 clients, rather than adjusting the default to them.  This means
extending the standard configuration files of the next Apache release
with some BrowserMatch directive that causes AOL's clients to receive
the 1.0 version number they expect.  This will take AOL out of the
loop as far as driving internet standards is concerned.

We can then discuss in peace what to do about response version numbers
in the 1.1 spec.  I think that we at least need to add more clarifying
language.

>        Brian

Koen.
Received on Saturday, 21 December 1996 18:42:58 GMT

This archive was generated by hypermail 2.2.0+W3C-0.50 : Wednesday, 27 October 2010 18:14:20 GMT